Bug 855466 - Fedora doesn't properly disable "Consistent Network Device Naming" when HVM virtualized
Fedora doesn't properly disable "Consistent Network Device Naming" when HVM v...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: biosdevname (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Narendra K
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 17:42 EDT by Edward Z. Yang
Modified: 2013-08-01 01:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 757286
Environment:
Last Closed: 2013-08-01 01:35:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified biosdevname to dump value of ecx after running cpuid (384.62 KB, application/gzip)
2012-09-20 09:52 EDT, Narendra K
no flags Details

  None (edit)
Description Edward Z. Yang 2012-09-07 17:42:09 EDT
+++ This bug was initially created as a clone of Bug #757286 +++

Confirmed to still be an issue Fedora 17.

Steps to reproduce:
1. Boot Fedora as an HVM
2. Look at ifconfig

Expected Behavior: eth0 is your network device (as specified by the hypervisor), as per https://bugzilla.redhat.com/show_bug.cgi?id=673268

Actual Behavior: p3p1 is your network device, as Fedora does device naming as per http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming

[root@scripts-f17-test ~]# ifconfig
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 3276  bytes 1316698 (1.2 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 3276  bytes 1316698 (1.2 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

p3p1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 18.181.6.148  netmask 255.255.0.0  broadcast 18.181.255.255
        inet6 fe80::216:3eff:fe13:7f40  prefixlen 64  scopeid 0x20<link>
        ether 00:16:3e:13:7f:40  txqueuelen 1000  (Ethernet)
        RX packets 65205  bytes 24550745 (23.4 MiB)
        RX errors 0  dropped 14  overruns 0  frame 0
        TX packets 175990  bytes 16988642 (16.2 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

It's a little nontrivial to figure out if you're running as HVM, but you can probably figure it out looking at ACPI, for example:

     httpd@vm-6858:~/lab$ dmesg | grep paravirt
     [    0.000000] Booting paravirtualized kernel on KVM
     [    0.000000] ACPI: RSDP 000fdab0 00014 (v00 BOCHS )
     [    0.000000] ACPI: RSDT 1fffdc40 00034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
     [...]

     From the same disk image, except running inside HVM:
     [    0.000000] Booting paravirtualized kernel on bare hardware
     [    0.000000] ACPI: RSDP 000ea010 00024 (v02    Xen)
     [    0.000000] ACPI: XSDT 0fff8b70 00034 (v01    Xen      HVM 00000000 HVML 00000000)
     [...]

The vendor probably has reasonable information. Try also /sys/class/dmi/id/product_name /sys/class/dmi/id/product_version /sys/class/dmi/id/sys_vendor

Let us know if the bug component classification is wrong.
Comment 1 Narendra K 2012-09-11 09:21:25 EDT
Hi, in a Fedora 17 guest/VM, the network interface is being named as p3p1 instead of ethN which is expected. Is the understanding correct ?

Could you please share more details on the server/system ?

1. Which hypervisor is being used ?
2. Which server platform is the issue seen on ? Output of 'cat /proc/cpuinfo'  and 'dmidecode' will be useful.
Comment 2 Edward Z. Yang 2012-09-11 09:26:24 EDT
That is correct.

The hypervisor being used is Xen.

[root@scripts-f17-dev ~]# cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 2
model name	: Quad-Core AMD Opteron(tm) Processor 2350
stepping	: 3
microcode	: 0x1000065
cpu MHz		: 1995.020
cache size	: 512 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 4
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow up rep_good nopl extd_apicid pni cx16 popcnt lahf_lm cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips	: 3990.04
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management:

[root@scripts-f17-dev ~]# dmidecode
# dmidecode 2.11
SMBIOS 2.4 present.
10 structures occupying 288 bytes.
Table at 0x000E901F.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Xen
	Version: 3.3.0
	Release Date: 02/16/2010
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		PCI is supported
		EDD is supported
		Targeted content distribution is supported
	BIOS Revision: 3.3

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Xen
	Product Name: HVM domU
	Version: 3.3.0
	Serial Number: f9ec5058-a603-58ee-6db6-00d6bb9fb9c7
	UUID: F9EC5058-A603-58EE-6DB6-00D6BB9FB9C7
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Not Specified

Handle 0x0300, DMI type 3, 13 bytes
Chassis Information
	Manufacturer: Xen
	Type: Other
	Lock: Not Present
	Version: Not Specified
	Serial Number: Not Specified
	Asset Tag: Not Specified
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: Unknown

Handle 0x0401, DMI type 4, 26 bytes
Processor Information
	Socket Designation: CPU 1
	Type: Central Processor
	Family: Other
	Manufacturer: AMD
	ID: 23 0F 10 00 FF FB 89 07
	Version: Not Specified
	Voltage: Unknown
	External Clock: Unknown
	Max Speed: 1995 MHz
	Current Speed: 1995 MHz
	Status: Populated, Enabled
	Upgrade: Other

Handle 0x1000, DMI type 16, 15 bytes
Physical Memory Array
	Location: Other
	Use: System Memory
	Error Correction Type: Other
	Maximum Capacity: 1 GB
	Error Information Handle: Not Provided
	Number Of Devices: 1

Handle 0x1100, DMI type 17, 21 bytes
Memory Device
	Array Handle: 0x1000
	Error Information Handle: 0x0000
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 1024 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM 1
	Bank Locator: Not Specified
	Type: RAM
	Type Detail: None

Handle 0x1300, DMI type 19, 15 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0003FF003FF
	Range Size: 1047553 kB
	Physical Array Handle: 0x1000
	Partition Width: 1

Handle 0x1400, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0003FF003FF
	Range Size: 1047553 kB
	Physical Device Handle: 0x1100
	Memory Array Mapped Address Handle: 0x1300
	Partition Row Position: 1

Handle 0x2000, DMI type 32, 11 bytes
System Boot Information
	Status: No errors detected

Handle 0x7F00, DMI type 127, 4 bytes
End Of Table
Comment 3 Narendra K 2012-09-11 09:38:54 EDT
(In reply to comment #2)
> That is correct.
> 
> The hypervisor being used is Xen.
> 
> [root@scripts-f17-dev ~]# cat /proc/cpuinfo
> processor	: 0
> vendor_id	: AuthenticAMD
> cpu family	: 16
> model		: 2
> model name	: Quad-Core AMD Opteron(tm) Processor 2350
> stepping	: 3
> microcode	: 0x1000065
> cpu MHz		: 1995.020
> cache size	: 512 KB
> fpu		: yes
> fpu_exception	: yes
> cpuid level	: 4
> wp		: yes
> flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat
> clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow up
> rep_good nopl extd_apicid pni cx16 popcnt lahf_lm cr8_legacy abm sse4a
> misalignsse 3dnowprefetch
> bogomips	: 3990.04
> TLB size	: 1024 4K pages
> clflush size	: 64
> cache_alignment	: 64
> address sizes	: 48 bits physical, 48 bits virtual
> power management:
> 
> [root@scripts-f17-dev ~]# dmidecode
> # dmidecode 2.11
> SMBIOS 2.4 present.
> 10 structures occupying 288 bytes.
> Table at 0x000E901F.
> 
> Handle 0x0000, DMI type 0, 24 bytes
> BIOS Information
> 	Vendor: Xen
> 	Version: 3.3.0
> 	Release Date: 02/16/2010
> 	Address: 0xE8000
> 	Runtime Size: 96 kB
> 	ROM Size: 64 kB
> 	Characteristics:
> 		PCI is supported
> 		EDD is supported
> 		Targeted content distribution is supported
> 	BIOS Revision: 3.3
> 
> Handle 0x0100, DMI type 1, 27 bytes
> System Information
> 	Manufacturer: Xen
> 	Product Name: HVM domU
> 	Version: 3.3.0
> 	Serial Number: f9ec5058-a603-58ee-6db6-00d6bb9fb9c7
> 	UUID: F9EC5058-A603-58EE-6DB6-00D6BB9FB9C7
> 	Wake-up Type: Power Switch
> 	SKU Number: Not Specified
> 	Family: Not Specified
> 
> Handle 0x0300, DMI type 3, 13 bytes
> Chassis Information
> 	Manufacturer: Xen
> 	Type: Other
> 	Lock: Not Present
> 	Version: Not Specified
> 	Serial Number: Not Specified
> 	Asset Tag: Not Specified
> 	Boot-up State: Safe
> 	Power Supply State: Safe
> 	Thermal State: Safe
> 	Security Status: Unknown
> 
> Handle 0x0401, DMI type 4, 26 bytes
> Processor Information
> 	Socket Designation: CPU 1
> 	Type: Central Processor
> 	Family: Other
> 	Manufacturer: AMD
> 	ID: 23 0F 10 00 FF FB 89 07
> 	Version: Not Specified
> 	Voltage: Unknown
> 	External Clock: Unknown
> 	Max Speed: 1995 MHz
> 	Current Speed: 1995 MHz
> 	Status: Populated, Enabled
> 	Upgrade: Other
> 
> Handle 0x1000, DMI type 16, 15 bytes
> Physical Memory Array
> 	Location: Other
> 	Use: System Memory
> 	Error Correction Type: Other
> 	Maximum Capacity: 1 GB
> 	Error Information Handle: Not Provided
> 	Number Of Devices: 1
> 
> Handle 0x1100, DMI type 17, 21 bytes
> Memory Device
> 	Array Handle: 0x1000
> 	Error Information Handle: 0x0000
> 	Total Width: 64 bits
> 	Data Width: 64 bits
> 	Size: 1024 MB
> 	Form Factor: DIMM
> 	Set: None
> 	Locator: DIMM 1
> 	Bank Locator: Not Specified
> 	Type: RAM
> 	Type Detail: None
> 
> Handle 0x1300, DMI type 19, 15 bytes
> Memory Array Mapped Address
> 	Starting Address: 0x00000000000
> 	Ending Address: 0x0003FF003FF
> 	Range Size: 1047553 kB
> 	Physical Array Handle: 0x1000
> 	Partition Width: 1
> 
> Handle 0x1400, DMI type 20, 19 bytes
> Memory Device Mapped Address
> 	Starting Address: 0x00000000000
> 	Ending Address: 0x0003FF003FF
> 	Range Size: 1047553 kB
> 	Physical Device Handle: 0x1100
> 	Memory Array Mapped Address Handle: 0x1300
> 	Partition Row Position: 1
> 
> Handle 0x2000, DMI type 32, 11 bytes
> System Boot Information
> 	Status: No errors detected
> 
> Handle 0x7F00, DMI type 127, 4 bytes
> End Of Table

The '/proc/cpuinfo' and 'dmidecode' output are taken from the hypervisor/host (and not guest), right ? I missed specifying from where to take the output.
Comment 4 Edward Z. Yang 2012-09-11 09:41:05 EDT
Sorry, that was from the guest. Let me contact my sysadmin for that info.
Comment 5 Edward Z. Yang 2012-09-13 03:31:40 EDT
Here it is:

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 0
siblings    : 1
core id     : 0
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 0
siblings    : 1
core id     : 1
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 0
siblings    : 1
core id     : 2
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 0
siblings    : 1
core id     : 3
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 1
siblings    : 1
core id     : 0
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 1
siblings    : 1
core id     : 1
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 1
siblings    : 1
core id     : 2
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 0
vendor_id   : AuthenticAMD
cpu family  : 16
model       : 4
model name  : Quad-Core AMD Opteron(tm) Processor 2378
stepping    : 2
cpu MHz     : 2412.362
cache size  : 512 KB
physical id : 1
siblings    : 1
core id     : 3
cpu cores   : 1
fpu     : yes
fpu_exception   : yes
cpuid level : 5
wp      : yes
flags       : fpu de tsc msr pae cx8 apic mtrr cmov pat clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch
bogomips    : 4826.30
TLB size    : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

# dmidecode 2.9
SMBIOS 2.4 present.
51 structures occupying 2890 bytes.
Table at 0x000FC5D0.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
    Vendor: American Megatrends Inc.
    Version: 080014 
    Release Date: 09/24/2009
    Address: 0xF0000
    Runtime Size: 64 kB
    ROM Size: 1024 kB
    Characteristics:
        ISA is supported
        PCI is supported
        PNP is supported
        APM is supported
        BIOS is upgradeable
        BIOS shadowing is allowed
        ESCD support is available
        Boot from CD is supported
        Selectable boot is supported
        BIOS ROM is socketed
        EDD is supported
        5.25"/1.2 MB floppy services are supported (int 13h)
        3.5"/720 KB floppy services are supported (int 13h)
        3.5"/2.88 MB floppy services are supported (int 13h)
        Print screen service is supported (int 5h)
        8042 keyboard services are supported (int 9h)
        Serial services are supported (int 14h)
        Printer services are supported (int 17h)
        CGA/mono video services are supported (int 10h)
        ACPI is supported
        USB legacy is supported
        LS-120 boot is supported
        ATAPI Zip drive boot is supported
        BIOS boot specification is supported
        Targeted content distribution is supported
    BIOS Revision: 8.14

Handle 0x0001, DMI type 1, 27 bytes
System Information
    Manufacturer: Supermicro
    Product Name: H8DMT
    Version: 1234567890
    Serial Number: 1234567890
    UUID: 00020003-0004-0005-0006-000700080009
    Wake-up Type: Power Switch
    SKU Number: To Be Filled By O.E.M.
    Family: To Be Filled By O.E.M.

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
    Manufacturer: Supermicro
    Product Name: H8DMT
    Version: 1234567890
    Serial Number: 1234567890
    Asset Tag: To Be Filled By O.E.M.
    Features:
        Board is a hosting board
        Board is replaceable
    Location In Chassis: To Be Filled By O.E.M.
    Chassis Handle: 0x0003
    Type: Motherboard
    Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
    Manufacturer: To Be Filled By O.E.M.
    Type: Desktop
    Lock: Not Present
    Version: To Be Filled By O.E.M.
    Serial Number: To Be Filled By O.E.M.
    Asset Tag: To Be Filled By O.E.M.
    Boot-up State: Safe
    Power Supply State: Safe
    Thermal State: Safe
    Security Status: None
    OEM Information: 0x00000000
    Height: Unspecified
    Number Of Power Cords: 1
    Contained Elements: 0

Handle 0x0004, DMI type 4, 40 bytes
Processor Information
    Socket Designation: CPU 1
    Type: Central Processor
    Family: <OUT OF SPEC>
    Manufacturer: AMD              
    ID: 42 0F 10 00 FF FB 8B 17
    Version: Quad-Core AMD Opteron(tm) Processor 2378            
    Voltage: 1.5 V
    External Clock: 200 MHz
    Max Speed: 2400 MHz
    Current Speed: 2400 MHz
    Status: Populated, Enabled
    Upgrade: Other
    L1 Cache Handle: 0x0005
    L2 Cache Handle: 0x0006
    L3 Cache Handle: 0x0007
    Serial Number: To Be Filled By O.E.M.
    Asset Tag: To Be Filled By O.E.M.
    Part Number: To Be Filled By O.E.M.
    Core Count: 4
    Core Enabled: 4
    Characteristics:
        64-bit capable

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L1-Cache
    Configuration: Enabled, Not Socketed, Level 1
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 512 KB
    Maximum Size: 512 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L2-Cache
    Configuration: Enabled, Not Socketed, Level 2
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 2048 KB
    Maximum Size: 2048 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x0007, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L3-Cache
    Configuration: Enabled, Not Socketed, Level 3
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 6144 KB
    Maximum Size: 6144 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x0008, DMI type 4, 40 bytes
Processor Information
    Socket Designation: CPU 2
    Type: Central Processor
    Family: <OUT OF SPEC>
    Manufacturer: AMD              
    ID: 42 0F 10 00 FF FB 8B 17
    Version: Quad-Core AMD Opteron(tm) Processor 2378            
    Voltage: 1.5 V
    External Clock: 200 MHz
    Max Speed: 2400 MHz
    Current Speed: 2400 MHz
    Status: Populated, Enabled
    Upgrade: Other
    L1 Cache Handle: 0x0009
    L2 Cache Handle: 0x000A
    L3 Cache Handle: 0x000B
    Serial Number: To Be Filled By O.E.M.
    Asset Tag: To Be Filled By O.E.M.
    Part Number: To Be Filled By O.E.M.
    Core Count: 4
    Core Enabled: 4
    Characteristics:
        64-bit capable

Handle 0x0009, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L1-Cache
    Configuration: Enabled, Not Socketed, Level 1
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 512 KB
    Maximum Size: 512 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x000A, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L2-Cache
    Configuration: Enabled, Not Socketed, Level 2
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 2048 KB
    Maximum Size: 2048 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x000B, DMI type 7, 19 bytes
Cache Information
    Socket Designation: L3-Cache
    Configuration: Enabled, Not Socketed, Level 3
    Operational Mode: Varies With Memory Address
    Location: Internal
    Installed Size: 6144 KB
    Maximum Size: 6144 KB
    Supported SRAM Types:
        Pipeline Burst
    Installed SRAM Type: Pipeline Burst
    Speed: Unknown
    Error Correction Type: Single-bit ECC
    System Type: <OUT OF SPEC>
    Associativity: 4-way Set-associative

Handle 0x000C, DMI type 9, 13 bytes
System Slot Information
    Designation: <BAD INDEX>
    Type: <OUT OF SPEC>ISA
    Current Usage: Available
    Length: <OUT OF SPEC>
    Characteristics: None

Handle 0x000D, DMI type 0, 96 bytes
BIOS Information
    Vendor: ............................
    Version: <BAD INDEX>
    Release Date: <BAD INDEX>
    Address: 0x6F540
    Runtime Size: 592576 bytes
    ROM Size: 4288 kB
    Characteristics:
        MCA is supported
        EISA is supported
        VLB is supported
        BIOS ROM is socketed
        Boot from PC Card (PCMCIA) is supported
        5.25"/360 KB floppy services are supported (int 13h)
        3.5"/720 KB floppy services are supported (int 13h)
        8042 keyboard services are supported (int 9h)
        Printer services are supported (int 17h)
        CGA/mono video services are supported (int 10h)
        Function key-initiated network boot is supported
    BIOS Revision: 121.32
    Firmware Revision: 79.46

Handle 0x000E, DMI type 16, 15 bytes
Physical Memory Array
    Location: System Board Or Motherboard
    Use: System Memory
    Error Correction Type: Single-bit ECC
    Maximum Capacity: 8 GB
    Error Information Handle: Not Provided
    Number Of Devices: 16

Handle 0x000F, DMI type 19, 15 bytes
Memory Array Mapped Address
    Starting Address: 0x00000000000
    Ending Address: 0x0081FFFFFFF
    Range Size: 33280 MB
    Physical Array Handle: 0x0010
    Partition Width: 0

Handle 0x0010, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM0
    Bank Locator: BANK0
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer0
    Serial Number: SerNum0
    Asset Tag: AssetTagNum0
    Part Number: PartNum0

Handle 0x0011, DMI type 126, 19 bytes
Inactive

Handle 0x0012, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM1
    Bank Locator: BANK1
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer1
    Serial Number: SerNum1
    Asset Tag: AssetTagNum1
    Part Number: PartNum1

Handle 0x0013, DMI type 126, 19 bytes
Inactive

Handle 0x0014, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM2
    Bank Locator: BANK2
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer2
    Serial Number: SerNum2
    Asset Tag: AssetTagNum2
    Part Number: PartNum2

Handle 0x0015, DMI type 126, 19 bytes
Inactive

Handle 0x0016, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM3
    Bank Locator: BANK3
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer3
    Serial Number: SerNum3
    Asset Tag: AssetTagNum3
    Part Number: PartNum3

Handle 0x0017, DMI type 126, 19 bytes
Inactive

Handle 0x0018, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM4
    Bank Locator: BANK4
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer4
    Serial Number: SerNum4
    Asset Tag: AssetTagNum4
    Part Number: PartNum4

Handle 0x0019, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00000000000
    Ending Address: 0x000FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x001A
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x001A, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM5
    Bank Locator: BANK5
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer5
    Serial Number: SerNum5
    Asset Tag: AssetTagNum5
    Part Number: PartNum5

Handle 0x001B, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00100000000
    Ending Address: 0x001FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x001C
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x001C, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM6
    Bank Locator: BANK6
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer6
    Serial Number: SerNum6
    Asset Tag: AssetTagNum6
    Part Number: PartNum6

Handle 0x001D, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00200000000
    Ending Address: 0x002FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x001E
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x001E, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM7
    Bank Locator: BANK7
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer7
    Serial Number: SerNum7
    Asset Tag: AssetTagNum7
    Part Number: PartNum7

Handle 0x001F, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00300000000
    Ending Address: 0x003FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x0020
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x0020, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM8
    Bank Locator: BANK8
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer8
    Serial Number: SerNum8
    Asset Tag: AssetTagNum8
    Part Number: PartNum8

Handle 0x0021, DMI type 126, 19 bytes
Inactive

Handle 0x0022, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM9
    Bank Locator: BANK9
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer9
    Serial Number: SerNum9
    Asset Tag: AssetTagNum9
    Part Number: PartNum9

Handle 0x0023, DMI type 126, 19 bytes
Inactive

Handle 0x0024, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM10
    Bank Locator: BANK10
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer10
    Serial Number: SerNum10
    Asset Tag: AssetTagNum10
    Part Number: PartNum10

Handle 0x0025, DMI type 126, 19 bytes
Inactive

Handle 0x0026, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: Unknown
    Data Width: Unknown
    Size: No Module Installed
    Form Factor: DIMM
    Set: None
    Locator: DIMM11
    Bank Locator: BANK11
    Type: Unknown
    Type Detail: Unknown
    Speed: Unknown
    Manufacturer: Manufacturer11
    Serial Number: SerNum11
    Asset Tag: AssetTagNum11
    Part Number: PartNum11

Handle 0x0027, DMI type 126, 19 bytes
Inactive

Handle 0x0028, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM12
    Bank Locator: BANK12
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer12
    Serial Number: SerNum12
    Asset Tag: AssetTagNum12
    Part Number: PartNum12

Handle 0x0029, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00400000000
    Ending Address: 0x004FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x002A
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x002A, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM13
    Bank Locator: BANK13
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer13
    Serial Number: SerNum13
    Asset Tag: AssetTagNum13
    Part Number: PartNum13

Handle 0x002B, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00500000000
    Ending Address: 0x005FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x002C
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x002C, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM14
    Bank Locator: BANK14
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer14
    Serial Number: SerNum14
    Asset Tag: AssetTagNum14
    Part Number: PartNum14

Handle 0x002D, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00600000000
    Ending Address: 0x006FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x002E
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x002E, DMI type 17, 27 bytes
Memory Device
    Array Handle: 0x0010
    Error Information Handle: Not Provided
    Total Width: 64 bits
    Data Width: 72 bits
    Size: 4096 MB
    Form Factor: DIMM
    Set: None
    Locator: DIMM15
    Bank Locator: BANK15
    Type: DDR2
    Type Detail: Synchronous
    Speed: Unknown
    Manufacturer: Manufacturer15
    Serial Number: SerNum15
    Asset Tag: AssetTagNum15
    Part Number: PartNum15

Handle 0x002F, DMI type 20, 19 bytes
Memory Device Mapped Address
    Starting Address: 0x00700000000
    Ending Address: 0x007FFFFFFFF
    Range Size: 4 GB
    Physical Device Handle: 0x0030
    Memory Array Mapped Address Handle: 0x0011
    Partition Row Position: 1

Handle 0x0030, DMI type 32, 20 bytes
System Boot Information
    Status: No errors detected

Handle 0x0031, DMI type 38, 18 bytes
IPMI Device Information
    Interface Type: KCS (Keyboard Control Style)
    Specification Version: 1.5
    I2C Slave Address: 0x10
    NV Storage Device: Not Present
    Base Address: 0x0000000000000CA2 (I/O)
    Register Spacing: Successive Byte Boundaries

Handle 0x0032, DMI type 127, 4 bytes
End Of Table
Comment 6 Narendra K 2012-09-20 09:51:11 EDT
Hi, could you please post the output using the 'biosdevname' utility attached here, when run in the guest/VM (not host) -

tar zxvf  biosdevname-0.4.1-modified-bz855466.tar.gz
cd biosdevname-0.4.1/
./src/biosdevname -i <interface name in the guest/vm>

You would see output of the form 

# ./src/biosdevname -i em1
before cpuid - eax=1 ecx=0
after cpuid - eax=1 ecx=<value on your system>.
Comment 7 Narendra K 2012-09-20 09:52:49 EDT
Created attachment 614922 [details]
modified biosdevname to dump value of ecx after running cpuid
Comment 8 Edward Z. Yang 2012-09-20 18:25:58 EDT
[root@scripts-f17-dev biosdevname-0.4.1]# src/biosdevname -i p3p1
before cpuid - eax=1 ecx=0
after cpuid - eax=1 ecx=802001
p3p1
[root@scripts-f17-dev biosdevname-0.4.1]# src/biosdevname -i eth0
before cpuid - eax=1 ecx=0
after cpuid - eax=1 ecx=802001
Comment 9 Narendra K 2012-10-08 05:26:55 EDT
(In reply to comment #8)
> [root@scripts-f17-dev biosdevname-0.4.1]# src/biosdevname -i p3p1
> before cpuid - eax=1 ecx=0
> after cpuid - eax=1 ecx=802001
> p3p1
> [root@scripts-f17-dev biosdevname-0.4.1]# src/biosdevname -i eth0
> before cpuid - eax=1 ecx=0
> after cpuid - eax=1 ecx=802001

It seems like the 31st bit of 'ecx' is not set and biosdevname suggests a name.

Hi, it would be helpful if you could share the exact hypervisor OS installed (details such as which distribution and version).
Comment 10 Edward Z. Yang 2012-10-09 20:20:28 EDT
Latest Hardy kernel, so 2.6.24-24-xen.
Comment 11 Fedora End Of Life 2013-07-03 21:16:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 01:35:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.